import 'dart:async';

import 'package:flutter/services.dart';

class UssdResponse {
  static const MethodChannel _channel =
      const MethodChannel('ussd_response');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static  get callUSSD async {
    await _channel.invokeMethod('callUSSD');
  }

}
